/// <reference types="react" />
import * as React from "react";
import * as PropTypes from "prop-types";
import { StoreObserver, Reuni } from "reuni";
export declare type Props<P extends PP, PP extends string> = {
    Component: React.ComponentType<P>;
    childProps: P;
    storeObserver: StoreObserver<PP>;
    nodeName?: string | null | undefined;
    thread: symbol;
    stores: [string, new () => any, StoreObserver<any> | null | undefined][];
    id?: string | null | undefined;
};
export declare type State = {
    childProps: any;
    isValid: boolean;
    entityDict: any;
    reuni: Reuni | null | undefined;
    nodeId: string | null | undefined;
};
export declare type Context = {
    reuniInfo: {
        isValid: boolean;
        reuni: Reuni;
        parentId: string;
    } | null | undefined;
};
export default class Connector extends React.Component<Props<any, any>, State> {
    static contextTypes: {
        reuniInfo: PropTypes.Requireable<any>;
        router: PropTypes.Requireable<any>;
    };
    static childContextTypes: {
        reuniInfo: PropTypes.Requireable<any>;
    };
    constructor(props: Props<any, any>);
    componentWillMount(): void;
    mountReuniNode: (props: Props<any, any>, reuni: Reuni, parentId: string | null | undefined) => void;
    componentWillReceiveProps(nextProps: Props<any, any>, nextContext: any): void;
    componentWillUnmount(): void;
    getChildContext(): {
        reuniInfo: {
            isValid: boolean;
            reuni: Reuni | null | undefined;
            parentId: string | null | undefined;
        };
    };
    shouldComponentUpdate(nextProps: Props<any, any>, nextState: State, nextContext: any): boolean;
    render(): JSX.Element | null;
}
