/// <reference types="react" />
import { StoreObserver } from "reuni";
import * as React from "react";
import { Omit } from "./types";
export declare class Mount<P extends PP, PP> {
    _Component: React.ComponentType<P>;
    _name: string | null | undefined;
    _stores: [string, new () => any, StoreObserver<any> | null | undefined][];
    _storeObserver: StoreObserver<any>;
    _thread: symbol;
    constructor(Component: React.ComponentType<P>, storeObserver: StoreObserver<PP>, thread: symbol);
    setName(name: string): this;
    setThread(thread: symbol): this;
    addStore(storeName: string, RawStore: new () => any, storeOb?: StoreObserver<any>): this;
    toHOC(): React.StatelessComponent<Omit<P, keyof PP>>;
}
export default function createMount(thread?: symbol): <P extends PP, PP>(Component: React.ComponentType<P>, storeObserver: StoreObserver<PP>) => Mount<P, PP>;
